package cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 付款信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PaymentInfoPageReqVO extends PageParam {

    @Schema(description = "付款编号：年月日+uuid", example = "25414")
    private String paymentInfoUuid;

    @Schema(description = "付款标题")
    private String paymentTitle;

    @Schema(description = "付款日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] paymentDate;

    @Schema(description = "付款金额")
    private BigDecimal paymentMoney;

    @Schema(description = "收款方信息")
    private String payee;

    @Schema(description = "付款事由", example = "不香")
    private String reason;

    @Schema(description = "单据状态：0：已完成，1：作废", example = "1")
    private String status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}