package cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 付款信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PaymentInfoRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22098")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "付款编号：年月日+uuid", example = "25414")
    @ExcelProperty("付款编号：年月日+uuid")
    private String paymentInfoUuid;

    @Schema(description = "付款标题")
    @ExcelProperty("付款标题")
    private String paymentTitle;

    @Schema(description = "付款日期")
    @ExcelProperty("付款日期")
    private String paymentDate;

    @Schema(description = "付款金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("付款金额")
    private BigDecimal paymentMoney;

    @Schema(description = "收款方信息")
    @ExcelProperty("收款方信息")
    private String payee;

    @Schema(description = "付款事由", example = "不香")
    @ExcelProperty("付款事由")
    private String reason;

    @Schema(description = "单据状态：0：已完成，1：作废", example = "1")
    @ExcelProperty("单据状态：0：已完成，1：作废")
    private String status;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}