package cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 付款信息新增/修改 Request VO")
@Data
public class PaymentInfoSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22098")
    private Long id;

    @Schema(description = "付款标题")
    private String paymentTitle;

    @Schema(description = "付款日期")
    private String paymentDate;

    @Schema(description = "付款金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "付款金额不能为空")
    private BigDecimal paymentMoney;

    @Schema(description = "收款方信息")
    private String payee;

    @Schema(description = "付款事由", example = "不香")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

}