package cn.iocoder.yudao.module.cash.dal.mysql.paymentinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.cash.dal.dataobject.paymentinfo.PaymentInfoDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo.*;

/**
 * 付款信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface PaymentInfoMapper extends BaseMapperX<PaymentInfoDO> {

    default PageResult<PaymentInfoDO> selectPage(PaymentInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PaymentInfoDO>()
                .eqIfPresent(PaymentInfoDO::getPaymentInfoUuid, reqVO.getPaymentInfoUuid())
                .eqIfPresent(PaymentInfoDO::getPaymentTitle, reqVO.getPaymentTitle())
                .betweenIfPresent(PaymentInfoDO::getPaymentDate, reqVO.getPaymentDate())
                .eqIfPresent(PaymentInfoDO::getPaymentMoney, reqVO.getPaymentMoney())
                .eqIfPresent(PaymentInfoDO::getPayee, reqVO.getPayee())
                .eqIfPresent(PaymentInfoDO::getReason, reqVO.getReason())
                .eqIfPresent(PaymentInfoDO::getStatus, reqVO.getStatus())
                .eqIfPresent(PaymentInfoDO::getRemarks, reqVO.getRemarks())
                .betweenIfPresent(PaymentInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(PaymentInfoDO::getId));
    }

}