package cn.iocoder.yudao.module.cash.service.paymentinfo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo.*;
import cn.iocoder.yudao.module.cash.dal.dataobject.paymentinfo.PaymentInfoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 付款信息 Service 接口
 *
 * @author dp
 */
public interface PaymentInfoService {

    /**
     * 创建付款信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPaymentInfo(@Valid PaymentInfoSaveReqVO createReqVO);

    /**
     * 更新付款信息
     *
     * @param updateReqVO 更新信息
     */
    void updatePaymentInfo(@Valid PaymentInfoSaveReqVO updateReqVO);

    /**
     * 删除付款信息
     *
     * @param id 编号
     */
    void deletePaymentInfo(Long id);

    /**
     * 获得付款信息
     *
     * @param id 编号
     * @return 付款信息
     */
    PaymentInfoDO getPaymentInfo(Long id);

    /**
     * 获得付款信息分页
     *
     * @param pageReqVO 分页查询
     * @return 付款信息分页
     */
    PageResult<PaymentInfoDO> getPaymentInfoPage(PaymentInfoPageReqVO pageReqVO);

}